# SPEC file for nomadsync, primary target is the Fedora Extras
# RPM repository.
#
# For testing a certain distribution, rely on macros that
# you define in your ".rpmmacros" file. For example, for
# test building a Fedora Extras package, define the following
# two macros in .rpmmacros:
#
# %dist .fc5
# %fedora 5
#

Name:		nomadsync
Version:	0.4.2
Release:	13%{?dist}
Summary:	A music synchronization program form portable audio players
URL:		http://nomadsync.sourceforge.net/
Group:		Applications/Multimedia
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		nomadsync-libnjbloc.patch
Patch1:		nomadsync-libnjbloc64.patch
Patch2:		nomadsync-baseclass.patch
Patch3:		nomadsync-baseclass2.patch
Patch4:		nomadsync-baseclass3.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	GPL
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	libusb-devel
BuildRequires:	libnjb-devel
BuildRequires:	id3lib-devel
BuildRequires:	gawk
BuildRequires:	desktop-file-utils
# This will pull in the apropriate wxGTK version
BuildRequires:	%{_bindir}/wxgtk-2.4-config 

%description
This package provides an application to synchronize music trees
with Creative NOMAD Jukebox, Creative Zen and Dell DJ line of 
MP3 players.

%prep
%setup -q -n %{name}
%if "%{_arch}" == "x86_64"
%patch1 -p0
%else
%patch0 -p0
%endif
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
%configure --with-wx-config=%{_bindir}/wxgtk-2.4-config
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Install that icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 doc/camelHead.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/nomadsync-logo.png
# Add distro-specifics to .desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  %{SOURCE1}
# Remove erroneous desktop file directory
rm -rf $RPM_BUILD_ROOT/Utilities
# Fixup permissions
chmod 644 ChangeLog authors copying readme install
# Fix end-of-line encoding
%{__sed} -i 's?\r??' ChangeLog
%{__sed} -i 's?\r??' readme

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
if [ "$1" = "0" ]; then
  update-desktop-database %{_datadir}/applications &> /dev/null
fi

%files
%defattr(-, root, root, -)
%{_bindir}/nomadsync
%{_datadir}/pixmaps/nomadsync-logo.png
%{_datadir}/applications/*.desktop
%doc ChangeLog authors copying readme

%changelog
* Tue Aug 29 2006 Linus Walleij <triad@df.lth.se> 0.4.2-13
- Rebuild for Fedora Extras 6.

* Wed Mar 15 2006 Linus Walleij <triad@df.lth.se> 0.4.2-12
- Iteratively adding patches to find problems.

* Wed Mar 15 2006 Linus Walleij <triad@df.lth.se> 0.4.2-11
- Patched a baseclass issue that annoyed GCC 4.1.0

* Mon Mar 13 2006 Linus Walleij <triad@df.lth.se> 0.4.2-10
- Fixed a x86_64 bug, by separate patching, I think...

* Sun Mar 12 2006 Linus Walleij <triad@df.lth.se> 0.4.2-9
- Found a patchable bug during build tests.

* Wed Mar 8 2006 Linus Walleij <triad@df.lth.se> 0.4.2-8
- New sources, do not re-tar the file.

* Tue Mar 7 2006 Linus Walleij <triad@df.lth.se> 0.4.2-7
- Detect wxGTK 2.4.x in a smarter way.

* Sun Jan 15 2006 Linus Walleij <triad@df.lth.se> 0.4.2-6
- Making a compat choice for FC5 and beyond.

* Mon Dec 19 2005 Linus Walleij <triad@df.lth.se> 0.4.2-5
- Fixing in response to reviewers comments.

* Sat Nov 16 2005 Linus Walleij <triad@df.lth.se> 0.4.2-4
- Added a desktop file by way of Source1-parameter instead.

* Sat Oct 15 2005 Linus Walleij <triad@df.lth.se> 0.4.2-3
- Added a desktop file.

* Fri Oct 14 2005 Linus Walleij <triad@df.lth.se> 0.4.2-2
- Tweaks and fixes to dependencies.

* Thu Oct 06 2005 Brent Norris <brent@linux.wku.edu> 0.4.2-1
- First RPM'ed
